VST 3 SDK VST 3.7 SDK for developing VST plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Types | Public Attributes | List of all members
Vst2xState Struct Reference

structure holding the content of a vst2 fxb format stream More...

`#include <vst2persistence.h>`

## Public Types
using | Programs = std::vector< Vst2xProgram >

## Public Attributes
Programs | programs
Vst2xChunk | chunk
int32_t | fxUniqueID {0}
int32_t | fxVersion {0}
int32_t | currentProgram {0}
bool | isBypassed {false}

## Detailed Description

structure holding the content of a vst2 fxb format stream

either the programs member is valid or the chunk member but not both

## Member Typedef Documentation

using Programs = std::vector<Vst2xProgram>

## Member Data Documentation

Programs programs

Vst2xChunk chunk

int32_t fxUniqueID {0}

int32_t fxVersion {0}

int32_t currentProgram {0}

bool isBypassed {false}

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.